## poa 2.0

=== Makefile ===

AR=ar rc

TARGETS=poa liblpo.a poa_doc libbflag.a

# align_score.c CAN BE USED TO ADD CUSTOMIZED SCORING FUNCTIONS
OBJECTS= \
	align_score.o \
	main.o


LIBOBJECTS= \
	black_flag.o \
	seq_util.o \
	fasta_format.o \
	align_lpo2.o \
	align_lpo_po2.o \
	buildup_lpo.o \
	lpo.o \
	heaviest_bundle.o \
	lpo_format.o \
	create_seq.o \
	remove_bundle.o \
	numeric_data.o \
	stringptr.o


CC = gcc
#CFLAGS= -g -ansi-strict -W -Wall -DUSE_WEIGHTED_LINKS -DUSE_PROJECT_HEADER -I.
CFLAGS= -g -DUSE_WEIGHTED_LINKS -DUSE_PROJECT_HEADER -I. -DTRUNCATE_GAP_LENGTH=8
# -I$(HOME)/lib/include
# -DREPORT_MAX_ALLOC

clean:
	rm -f $(OBJECTS) $(LIBOBJECTS) $(TARGETS)

liblpo.a: $(LIBOBJECTS)
	rm -f $@
	$(AR) $@ $(LIBOBJECTS)
	ranlib $@



# NB: LIBRARY MUST FOLLOW OBJECTS OR LINK FAILS WITH UNRESOLVED REFERENCES!!
poa: $(OBJECTS) liblpo.a
	$(CC) -o $@ $(OBJECTS) -lm liblpo.a

what:
	@echo poa: partial-order based sequence alignment program
	@echo liblpo.a: partial-order alignment and utilities function library

## poa 2.0%2B20060928

=== debian/control ===
Source: poa
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Charles Plessy <plessy@debian.org>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 11~)
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/med-team/poa
Vcs-Git: https://salsa.debian.org/med-team/poa.git
Homepage: http://poamsa.sourceforge.net/

Package: poa
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: blast2
Enhances: t-coffee
Description: Partial Order Alignment for multiple sequence alignment
 POA is Partial Order Alignment, a fast program for multiple sequence
 alignment (MSA) in bioinformatics. Its advantages are speed,
 scalability, sensitivity, and the superior ability to handle branching
 / indels in the alignment. Partial order alignment is an approach to
 MSA, which can be combined with existing methods such as progressive
 alignment. POA optimally aligns a pair of MSAs and which therefore can
 be applied directly to progressive alignment methods such as CLUSTAL.
 For large alignments, Progressive POA is 10-30 times faster than
 CLUSTALW.

## poa 2.0+20060928

=== Makefile ===
--- 
+++ 
@@ -13,6 +13,7 @@
 	black_flag.o \
 	seq_util.o \
 	fasta_format.o \
+	msa_format.o \
 	align_lpo2.o \
 	align_lpo_po2.o \
 	buildup_lpo.o \
@@ -27,7 +28,7 @@
 
 CC = gcc
 #CFLAGS= -g -ansi-strict -W -Wall -DUSE_WEIGHTED_LINKS -DUSE_PROJECT_HEADER -I.
-CFLAGS= -g -DUSE_WEIGHTED_LINKS -DUSE_PROJECT_HEADER -I. -DTRUNCATE_GAP_LENGTH=8
+CFLAGS= -g -DUSE_WEIGHTED_LINKS -DUSE_PROJECT_HEADER -I.
 # -I$(HOME)/lib/include
 # -DREPORT_MAX_ALLOC
 
@@ -48,5 +49,3 @@
 what:
 	@echo poa: partial-order based sequence alignment program
 	@echo liblpo.a: partial-order alignment and utilities function library
-
-

=== debian/changelog ===
poa (2.0+20060928-4) unstable; urgency=medium

  * moved debian/upstream to debian/upstream/metadata
  * cme fix dpkg-control
  * DEP5
  * propagate hardening options

 -- Andreas Tille <tille@debian.org>  Mon, 11 Jan 2016 12:48:42 +0100

poa (2.0+20060928-3) unstable; urgency=low

  [ Charles Plessy ]
  * Updated my email address.

  [ David Paleino ]
  * Removed myself from Uploaders

  [ Charles Plessy ]
  * Documented information in ‘debian/upstream’.
  * Removed mention of the bibliographic reference in ‘debian/control’.

  [ Andreas Tille ]
  * debian/upstream:
    - Fixed URLs
    - Moved DOI/PMID to References
    - Removed (wrong Homepage)
    - Removed watch
  * debian/control:
    - Former homepage does not work any more, use Sourceforge page as homepage
    - Fixed VCS fields
    - Standards-Version: 3.9.3 (no changes needed)
  * debian/source/format: 3.0 (quilt)
  * debhelper 9 (control+compat)
  * debian/copyright: Rewritten to fit DEP5 and verified using
      cme fix dpkg-copyright
  * debian/rules + debhelper files:
    - use short dh
    - do not try to redirect output of test to stdout which breaks inside
      pbuilder
  * debian/test/multidom.clustal: Store result of proposed test and compare
    in dh_auto_test target

 -- Andreas Tille <tille@debian.org>  Thu, 08 Mar 2012 08:39:05 +0100

poa (2.0+20060928-2) unstable; urgency=low

  [ Charles Plessy ]
    * debian/control:
      - Add Subversion repository URL to debian/control.
      - Moved the Homepage: field out from the package's description.
      - Enhances: t-coffee.

  [ Nelson A. de Oliveira ]
  * Added watch file.

  [ David Paleino ]
  * debian/poa.1 added - statically built
  * debian/control:
    - B-D updated
    - added myself to Uploaders
    - moved XS-Vcs-* to Vcs-*
    - Updated to Standards-Version 3.7.3 (no changes needed)
  * debian/rules:
    - statically build manpages (target poa.1 available)
    - minor changes

  [ Andreas Tille ]
  * Added myself to uploaders

 -- Andreas Tille <tille@debian.org>  Fri, 21 Mar 2008 23:41:56 +0100

poa (2.0+20060928-1) unstable; urgency=low

  * New upstream version. THE PREVIOUS VERSION WAS NOT 2.0.
  * Updated manpage.
  * Added a test rule.
  * Removed the watch file.

 -- Charles Plessy <charles-debian-nospam@plessy.org>  Thu, 28 Sep 2006 10:21:43 +0900

poa (2.0-1) unstable; urgency=low

  * Initial release Closes: #378288

 -- Charles Plessy <charles-debian-nospam@plessy.org>  Sun, 20 Aug 2006 11:21:24 +0900

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11~)
-Standards-Version: 4.2.1
-Vcs-Browser: https://salsa.debian.org/med-team/poa
-Vcs-Git: https://salsa.debian.org/med-team/poa.git
+Build-Depends: debhelper (>= 9)
+Standards-Version: 3.9.6
+Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/poa/trunk/
+Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/poa/trunk/
 Homepage: http://poamsa.sourceforge.net/
 
 Package: poa

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PKG := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')

%:
	dh $@

DB2MAN=/usr/share/xml/docbook/stylesheet/nwalsh/manpages/docbook.xsl
XP=xsltproc \
	-o debian/ \
	-''-nonet

$(PKG).1: debian/$(PKG).1.xml
	$(XP) $(DB2MAN) $<

override_dh_auto_build:
	$(MAKE) poa

override_dh_auto_test:
	tmpfile=`mktemp` ; \
	./$(PKG) -read_fasta multidom.seq -clustal $$tmpfile -v blosum80.mat ; \
	if cmp $$tmpfile $(CURDIR)/debian/test/multidom.clustal ; then \
	    echo "Test passed" ; \
	    rm -f $$tmpfile ; \
	else \
	    echo "TEST FAILED!!!" ; \
	    echo "File $$tmpfile is different from $(CURDIR)/multidom.clustal" ; \
	    exit 1 ; \
	fi

=== debian/watch ===
version=3
opts="uversionmangle=s/$/.0/,dversionmangle=s/\+.*$//" \
http://sf.net/poamsa/ poaV(.*)\.tar\.gz
